.csr-template-banner-sec {
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    overflow: hidden;
    z-index: 1;
    background-color: #fff;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.csr-template-banner-sec .banner-video-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* Forces video to fill container even if aspect ratio differs */
    object-fit: cover; 
    /* Ensures no gap at the bottom */
    object-position: center bottom; 
    display: block; 
    z-index: -1;
    
    /* Stronger hardware acceleration */
    -webkit-transform: scale(1.02);
    transform: scale(1.02);
    -webkit-filter: blur(0px); 
}

.csr-template-banner-sec .container {
    position: relative;
    z-index: 2;
    max-width: 1260px;
}

.csr-template-banner-sec .csr-content-box {
    max-width: 550px;
    margin-top: 100px;
}

.csr-template-banner-sec .csr-title {
    font-size: 60px;
    font-weight: 400;
    line-height: 1.1;
    margin-bottom: 50px;
    color: #000;
}

.csr-template-banner-sec .csr-subtitle {
    font-size: 1.75rem;
    color: #dc143c;
    font-weight: 600;
    margin-bottom: 15px;
}

.csr-template-banner-sec .csr-description {
    font-size: 18px;
    line-height: 1.6;
    color: #000000;
    font-weight: 600;
}

.site-content:has(.csr-template-banner-sec) {
    padding-top : 0px!important;
}

.csr-template-banner-sec .csr-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* Adjust the 0.2 to 0.5 if you want it darker */
    background: rgba(255, 255, 255, 0.3); 
    z-index: 0;
    pointer-events: none;
}

@media (max-width: 991px) {
    .csr-template-banner-sec {
        min-height: 70vh;
        padding: 100px 0;
    }
}

@media (min-width: 1200px){
    body:has(.csr-template-banner-sec)
    #header-wrap.header-transparent .header-main:not(.h-fixed) .header-branding a.logo-dark {
        opacity: 1;
    }
    body:has(.csr-template-banner-sec)
    #header-wrap.header-transparent .header-main:not(.h-fixed) .header-branding a.logo-light {
        opacity: 0;
    }
}